/* === TÍTULOS GENERALES === */
.titulo-principal {
	font-size: 1.8rem;
	font-weight: 700;
	color: #1f2937;
	margin-bottom: 1.5rem;
	display: inline-block;
}

.titulo-secundario {
	font-size: 1.8rem;
	font-weight: 700;
	color: #1f2937;
	display: inline-block;
	;
}

.linea-divider {
	border-bottom: 2px solid #00cfff !important;
	padding-top: 20px;
}
/* === TÍTULO CLARO === */
.titulo-doc {
	margin-bottom: 1.5rem;
	font-size: 1.75rem;
	font-weight: bold;
	z-index: 1;
	position: relative;
	background: linear-gradient(90deg, #0ea5e9, #38bdf8);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	background-clip: text;
	color: transparent;
}

.titulo-estado {
	margin-bottom: 0;
	font-size: 18px;
	font-weight: bold;
	z-index: 1;
	position: relative;
	background: linear-gradient(90deg, #0ea5e9, #38bdf8);
	-webkit-text-fill-color: transparent;
	background-clip: text;
	color: transparent;
}

.titulo-tiempo {
	margin-bottom: 0;
	font-size: 20px;
	font-weight: bold;
	z-index: 1;
	position: relative;
	background: linear-gradient(90deg, #f00, #ff6e6e);
	-webkit-text-fill-color: transparent;
	background-clip: text;
	color: transparent;
}

.titulo-tiempo-voto {
	margin-bottom: 0;
	font-size: 10px;
	font-weight: bold;
	z-index: 1;
	position: relative;
	background: linear-gradient(90deg, #0ea5e9, #38bdf8);
	-webkit-text-fill-color: transparent;
	background-clip: text;
	color: transparent;
}

.tiempo-voto {
	margin-bottom: 0;
	font-size: 10px;
	font-weight: bold;
	z-index: 1;
	position: relative;
	background: linear-gradient(90deg, #000, #c6bfbf);
	-webkit-text-fill-color: transparent;
	background-clip: text;
	color: transparent;
}

/* --- Títulos y temporizador aislados --- */
.titulo-doc-vota {
	color: #006782;
	font-weight: 700;
	margin-bottom: 1.5rem;
}

.voter-timer-bar-vota {
	width: 100%;
	height: 8px;
	background: #e0e0e0;
	border-radius: 10px;
	overflow: hidden;
}

.voter-timer-progress-vota {
	width: 100%;
	height: 100%;
	background: #00b7ff;
	transition: width 1s linear;
}

@media ( max-width : 768px) {
	.titulo-prinicipal, .titulo-secundario {
		font-size: 1.4rem;
		text-align: center;
		margin-top: 0.5rem;
	}
	.linea-divider {
		padding-top: 40px;
		text-align: center;
	}
	.titulo-estado {
		font-size: 14px;
	}
	.titulo-tiempo {
		font-size: 16px;
	}
}